﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting; 

namespace WpfApplication2
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{

        private BrushCollection _palette; 

        public BrushCollection Palette
        {
            get
            {
                return this._palette;
            }
            set
            {
                this._palette = value;
            }
        }


		public MainWindow()
		{
			InitializeComponent();

            this.Palette = new BrushCollection()
                {
                    new SolidColorBrush(Color.FromArgb(255, 106, 148, 200)),
                    new SolidColorBrush(Color.FromArgb(255, 154, 204, 255)),
                    new SolidColorBrush(Color.FromArgb(255, 255, 155, 152)),
                    new SolidColorBrush(Color.FromArgb(255, 145, 178, 80)),
                    new SolidColorBrush(Color.FromArgb(255, 203, 175, 237)),
                    new SolidColorBrush(Color.FromArgb(255, 66, 163, 189)),
                    new SolidColorBrush(Color.FromArgb(255, 238, 141, 61)),
                    new SolidColorBrush(Color.FromArgb(255, 127, 127, 127))
                };



			this.DataContext = new MainViewModel();
             
		}
	}
}
